Skip to main content
GET
/
api
/
v0
/
repositories
/
{repo_id}
/
ai
Ask the AI service about the status of a given repository.
curl --request GET \
  --url https://api.example.com/api/v0/repositories/{repo_id}/ai
{
  "conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "messages": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "timestamp": "2023-11-07T05:31:56Z",
      "conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "message": "<string>",
      "response": "<string>",
      "metadata": {}
    }
  ],
  "limit": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

repo_id
string<uuid>
required

Response

AI response

The response of the /repositories/status API call

status
enum<string>
required

Describes the status of a repository

Available options:
active,
in_progress,
pending
conversationId
string<uuid>
required
messages
object[]
required
limit
integer<int32>
required
Required range: x >= 0